Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.controls.extensible
Interface GS_UtilCmxControl

All Superinterfaces
  CmxControl, com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

    public interface GS_UtilCmxControl

extends com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

This control is used when we must have a community context

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `FIND_BY_ID`

Method Summary
`void` | `delete(ID id)` deletes a node by its ID
`Node` | `findNodeByExpression(String expression, String[] searchPaths)`
`SortableFilterablePagedResult<CommunityContent>` | `findNodesByExpression(String expression, String[] searchPaths, SortCriteria[] sortCriteria)`
`PagedResult<Node>` | `getByTitle(String title, String[] searchPaths)` Finds a Node by its title
`CommunityContent` | `getCommunityContentById(String cm_uid)` Finds a Node by its id and uses the NodeToCommunityContentMapper to construct the appropriate CommunityContent subtype.
`Node` | `getNodeById(ID cm_uid)` finds nodes by an id
`Node` | `getNodeByProperty(String propertyName, String propertyValue, String typeName)` finds nodes by an id
`PagedResult<Node>` | `getNodesByTypeAndVisiblity(String typeName, String visibility, String[] searchPaths)` Finds a Node by its id and uses the NodeToObjectClassMapper to retrieve its ObjectClass.
`PagedResult<Node>` | `getPrivate(String username, String typeName, String[] searchPaths)` Finds a Node by its id and uses the NodeToObjectClassMapper to retrieve its ObjectClass.
`Node` | `move(ID nodeIdToMove, ID newParentId)` moves a node under a specified parent
`Node` | `update(Node node)` updates a node

Field Detail

### FIND_BY_ID

    static final String FIND_BY_ID

See Also
  Constants Summary

Method Detail

### delete

    void delete(ID id)
                throws AuthenticationException,
                       AuthorizationException,
                       NoSuchNodeException,
                       RepositoryException

  deletes a node by its ID

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### update

    Node update(Node node)
                throws AuthenticationException,
                       AuthorizationException,
                       NoSuchNodeException,
                       NoSuchPropertyException,
                       RepositoryException,
                       IOException

  updates a node

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `NoSuchPropertyException`
    `RepositoryException`
    `IOException`

### move

    Node move(ID nodeIdToMove,
              ID newParentId)
              throws AuthenticationException,
                     AuthorizationException,
                     NoSuchNodeException,
                     RepositoryException

  moves a node under a specified parent

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getNodeById

    Node getNodeById(ID cm_uid)
                     throws InstantiationException,
                            IllegalAccessException,
                            InvocationTargetException,
                            com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                            AuthenticationException,
                            AuthorizationException,
                            NoSuchNodeException,
                            RepositoryException

  finds nodes by an id

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getNodeByProperty

    Node getNodeByProperty(String propertyName,
                           String propertyValue,
                           String typeName)
                           throws InstantiationException,
                                  IllegalAccessException,
                                  InvocationTargetException,
                                  com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                  AuthenticationException,
                                  AuthorizationException,
                                  NoSuchNodeException,
                                  RepositoryException

  finds nodes by an id

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getByTitle

    PagedResult<Node> getByTitle(String title,
                                 String[] searchPaths)
                                 throws InstantiationException,
                                        IllegalAccessException,
                                        InvocationTargetException,
                                        com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                        AuthenticationException,
                                        AuthorizationException,
                                        NoSuchNodeException,
                                        RepositoryException

  Finds a Node by its title

  Parameters
    `title` - title of the sought after Node
  Returns
    The ObjectClass corresponding to the
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getPrivate

    PagedResult<Node> getPrivate(String username,
                                 String typeName,
                                 String[] searchPaths)
                                 throws InstantiationException,
                                        IllegalAccessException,
                                        InvocationTargetException,
                                        com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                        AuthenticationException,
                                        AuthorizationException,
                                        NoSuchNodeException,
                                        RepositoryException

  Finds a Node by its id and uses the NodeToObjectClassMapper to retrieve its ObjectClass.

  Returns
    The ObjectClass corresponding to the
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getNodesByTypeAndVisiblity

    PagedResult<Node> getNodesByTypeAndVisiblity(String typeName,
                                                 String visibility,
                                                 String[] searchPaths)
                                                 throws InstantiationException,
                                                        IllegalAccessException,
                                                        InvocationTargetException,
                                                        com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                        AuthenticationException,
                                                        AuthorizationException,
                                                        NoSuchNodeException,
                                                        RepositoryException

  Finds a Node by its id and uses the NodeToObjectClassMapper to retrieve its ObjectClass.

  Returns
    The ObjectClass corresponding to the
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### findNodeByExpression

    Node findNodeByExpression(String expression,
                              String[] searchPaths)
                              throws InstantiationException,
                                     IllegalAccessException,
                                     InvocationTargetException,
                                     com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                     AuthenticationException,
                                     AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### findNodesByExpression

    SortableFilterablePagedResult<CommunityContent> findNodesByExpression(String expression,
                                                                          String[] searchPaths,
                                                                          SortCriteria[] sortCriteria)
                                                                          throws InstantiationException,
                                                                                 IllegalAccessException,
                                                                                 InvocationTargetException,
                                                                                 com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                                                 AuthenticationException,
                                                                                 AuthorizationException,
                                                                                 NoSuchNodeException,
                                                                                 RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getCommunityContentById

    CommunityContent getCommunityContentById(String cm_uid)
                                             throws InstantiationException,
                                                    IllegalAccessException,
                                                    InvocationTargetException,
                                                    com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                    AuthenticationException,
                                                    AuthorizationException,
                                                    NoSuchNodeException,
                                                    RepositoryException

  Finds a Node by its id and uses the NodeToCommunityContentMapper to construct the appropriate CommunityContent subtype.

  Parameters
    `cm_uid` - Id of the sought after Node
  Returns
    The CommunityContent subtype corresponding to the Node's type
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved